ISWBLANK(3)

NAME
iswblank - test for whitespace wide character

SYNOPSIS
#include <wctype.h>

int iswblank(wint_t wc);

DESCRIPTION
The iswblank() function is the wide-character equivalent of the isblank(3) function. It tests whether wc is a wide character belonging to the wide-character class "blank".

The wide-character class "blank" is a subclass of the wide-character class "space".

Being a subclass of the wide-character class "space", the wide-character class "blank" is disjoint from the wide-character class "graph" and therefore also disjoint from its subclasses "alnum", "alpha", "upper", "lower", "digit", "xdigit", "punct".

The wide-character class "blank" always contains at least the space character and the control character '\t'.

RETURN VALUE
The iswblank() function returns non-zero if wc is a wide character belonging to the wide-character class "blank". Otherwise it returns zero.

CONFORMING TO
POSIX.1-2001.

NOTES
The behaviour of iswblank() depends on the LC_CTYPE category of the current locale.

SEE ALSO
isblank(3), iswctype(3)